API Reference
Key Admin
Numbers and call routing

Auto attendants

Auto attendants are the menus callers hear ("press 1 for sales"). Each menu has a greeting and an action for each key.

In the Key Admin this is the Auto attendants switch. Read lets a key call the GET endpoints below. Write lets it call the ones that change data.

List auto attendants

GET/domains/~/autoattendants

Returns the auto attendants on the account.

Read Key Admin switch: Auto attendants, Read. Read only keys also work.

Example request

curl -X GET "https://api.noodlevoice.com/ns-api/v2/domains/~/autoattendants" \
  -H "Authorization: Bearer $NOODLEVOICE_KEY"
const res = await fetch("https://api.noodlevoice.com/ns-api/v2/domains/~/autoattendants", {
  method: "GET",
  headers: {
    Authorization: "Bearer " + process.env.NOODLEVOICE_KEY,
  },
});
const data = await res.json();
import os, requests

r = requests.get(
    "https://api.noodlevoice.com/ns-api/v2/domains/~/autoattendants",
    headers={"Authorization": "Bearer " + os.environ["NOODLEVOICE_KEY"]},
)
print(r.status_code, r.json())

Response 200

[
  {
    "attendant-name": "Front Desk",
    "user": "1001",
    "time-frame": "string",
    "starting-prompt": "string",
    "read-path": "string",
    "auto-attendant": {
      "intro-greetings": "string",
      "audio": {},
      "unassigned-key-press": "repeat"
    }
  }
]
Response fields (109)
FieldTypeNotes
attendant-namestringName of the attendant.
userstringThe user ID (extension).
time-framestring
starting-promptstring
read-pathstring
auto-attendantobject
auto-attendant.intro-greetingsstring
auto-attendant.audioobject
auto-attendant.audio.filenamestring
auto-attendant.audio.ordinal-orderinteger
auto-attendant.audio.file-duration-secondsintegerFile duration, in seconds.
auto-attendant.audio.file-size-kilobytesstring
auto-attendant.audio.file-access-urlstring
auto-attendant.audio.file-script-textstring
auto-attendant.audio.text-to-speech-voice-idstringID of the text to speech voice. Default en-US-Wavenet-C
auto-attendant.audio.text-to-speech-languagestring Default en_US
auto-attendant.unassigned-key-pressstring One of: repeat, hangup, option-1, option-2, option-3, option-4, option-5, option-6, option-7, option-8, option-9, option-0, option-*, option-# Default repeat
auto-attendant.no-key-pressstring One of: repeat, hangup, option-1, option-2, option-3, option-4, option-5, option-6, option-7, option-8, option-9, option-0, option-*, option-# Default repeat
auto-attendant.3-digit-dial-by-extensionstring One of: yes, no Default yes
auto-attendant.4-digit-dial-by-extensionstring One of: yes, no Default yes
auto-attendant.5-digit-dial-by-extensionstring One of: yes, no Default yes
auto-attendant.option-1object
auto-attendant.option-1.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-1.destination-userstring
auto-attendant.option-1.caller-name-translationstring Default [*]
auto-attendant.option-1.descriptionstringA note about the item.
auto-attendant.option-1.call-to-recordstring
auto-attendant.option-1.auto-attendantobject
auto-attendant.option-1.removeany
auto-attendant.option-2object
auto-attendant.option-2.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-2.destination-userstring
auto-attendant.option-2.caller-name-translationstring Default [*]
auto-attendant.option-2.descriptionstringA note about the item.
auto-attendant.option-2.call-to-recordstring
auto-attendant.option-2.auto-attendantobject
auto-attendant.option-2.removeany
auto-attendant.option-3object
auto-attendant.option-3.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-3.destination-userstring
auto-attendant.option-3.caller-name-translationstring Default [*]
auto-attendant.option-3.descriptionstringA note about the item.
auto-attendant.option-3.call-to-recordstring
auto-attendant.option-3.auto-attendantobject
auto-attendant.option-3.removeany
auto-attendant.option-4object
auto-attendant.option-4.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-4.destination-userstring
auto-attendant.option-4.caller-name-translationstring Default [*]
auto-attendant.option-4.descriptionstringA note about the item.
auto-attendant.option-4.call-to-recordstring
auto-attendant.option-4.auto-attendantobject
auto-attendant.option-4.removeany
auto-attendant.option-5object
auto-attendant.option-5.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-5.destination-userstring
auto-attendant.option-5.caller-name-translationstring Default [*]
auto-attendant.option-5.descriptionstringA note about the item.
auto-attendant.option-5.call-to-recordstring
auto-attendant.option-5.auto-attendantobject
auto-attendant.option-5.removeany
auto-attendant.option-6object
auto-attendant.option-6.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-6.destination-userstring
auto-attendant.option-6.caller-name-translationstring Default [*]
auto-attendant.option-6.descriptionstringA note about the item.
auto-attendant.option-6.call-to-recordstring
auto-attendant.option-6.auto-attendantobject
auto-attendant.option-6.removeany
auto-attendant.option-7object
auto-attendant.option-7.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-7.destination-userstring
auto-attendant.option-7.caller-name-translationstring Default [*]
auto-attendant.option-7.descriptionstringA note about the item.
auto-attendant.option-7.call-to-recordstring
auto-attendant.option-7.auto-attendantobject
auto-attendant.option-7.removeany
auto-attendant.option-8object
auto-attendant.option-8.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-8.destination-userstring
auto-attendant.option-8.caller-name-translationstring Default [*]
auto-attendant.option-8.descriptionstringA note about the item.
auto-attendant.option-8.call-to-recordstring
auto-attendant.option-8.auto-attendantobject
auto-attendant.option-8.removeany
auto-attendant.option-9object
auto-attendant.option-9.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-9.destination-userstring
auto-attendant.option-9.caller-name-translationstring Default [*]
auto-attendant.option-9.descriptionstringA note about the item.
auto-attendant.option-9.call-to-recordstring
auto-attendant.option-9.auto-attendantobject
auto-attendant.option-9.removeany
auto-attendant.option-0object
auto-attendant.option-0.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-0.destination-userstring
auto-attendant.option-0.caller-name-translationstring Default [*]
auto-attendant.option-0.descriptionstringA note about the item.
auto-attendant.option-0.call-to-recordstring
auto-attendant.option-0.auto-attendantobject
auto-attendant.option-0.removeany
auto-attendant.option-*object
auto-attendant.option-*.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-*.destination-userstring
auto-attendant.option-*.caller-name-translationstring Default [*]
auto-attendant.option-*.descriptionstringA note about the item.
auto-attendant.option-*.call-to-recordstring
auto-attendant.option-*.auto-attendantobject
auto-attendant.option-*.removeany

Create an auto attendant

POST/domains/~/autoattendants

Adds a new auto attendant on the account.

Write Key Admin switch: Auto attendants, Write.

Request body application/json

FieldTypeNotes
attendant-name requiredstringName of the attendant.
user requiredstringThe user ID (extension).
time-framestring
auto-attendantobject
auto-attendant.intro-greetingsstring
auto-attendant.audioobject
auto-attendant.audio.filenamestring
auto-attendant.audio.ordinal-orderinteger
auto-attendant.audio.file-duration-secondsintegerFile duration, in seconds.
auto-attendant.audio.file-size-kilobytesstring
auto-attendant.audio.file-access-urlstring
auto-attendant.audio.file-script-textstring
auto-attendant.audio.text-to-speech-voice-idstringID of the text to speech voice. Default en-US-Wavenet-C
auto-attendant.audio.text-to-speech-languagestring Default en_US
auto-attendant.unassigned-key-pressstring One of: repeat, hangup, option-1, option-2, option-3, option-4, option-5, option-6, option-7, option-8, option-9, option-0, option-*, option-# Default repeat
auto-attendant.no-key-pressstring One of: repeat, hangup, option-1, option-2, option-3, option-4, option-5, option-6, option-7, option-8, option-9, option-0, option-*, option-# Default repeat
auto-attendant.3-digit-dial-by-extensionstring One of: yes, no Default yes
auto-attendant.4-digit-dial-by-extensionstring One of: yes, no Default yes
auto-attendant.5-digit-dial-by-extensionstring One of: yes, no Default yes
auto-attendant.option-1object
auto-attendant.option-1.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-1.destination-userstring
auto-attendant.option-1.caller-name-translationstring Default [*]
auto-attendant.option-1.descriptionstringA note about the item.
auto-attendant.option-1.call-to-recordstring
auto-attendant.option-1.auto-attendantobject
auto-attendant.option-1.removeany
auto-attendant.option-2object
auto-attendant.option-2.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-2.destination-userstring
auto-attendant.option-2.caller-name-translationstring Default [*]
auto-attendant.option-2.descriptionstringA note about the item.
auto-attendant.option-2.call-to-recordstring
auto-attendant.option-2.auto-attendantobject
auto-attendant.option-2.removeany
auto-attendant.option-3object
auto-attendant.option-3.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-3.destination-userstring
auto-attendant.option-3.caller-name-translationstring Default [*]
auto-attendant.option-3.descriptionstringA note about the item.
auto-attendant.option-3.call-to-recordstring
auto-attendant.option-3.auto-attendantobject
auto-attendant.option-3.removeany
auto-attendant.option-4object
auto-attendant.option-4.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-4.destination-userstring
auto-attendant.option-4.caller-name-translationstring Default [*]
auto-attendant.option-4.descriptionstringA note about the item.
auto-attendant.option-4.call-to-recordstring
auto-attendant.option-4.auto-attendantobject
auto-attendant.option-4.removeany
auto-attendant.option-5object
auto-attendant.option-5.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-5.destination-userstring
auto-attendant.option-5.caller-name-translationstring Default [*]
auto-attendant.option-5.descriptionstringA note about the item.
auto-attendant.option-5.call-to-recordstring
auto-attendant.option-5.auto-attendantobject
auto-attendant.option-5.removeany
auto-attendant.option-6object
auto-attendant.option-6.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-6.destination-userstring
auto-attendant.option-6.caller-name-translationstring Default [*]
auto-attendant.option-6.descriptionstringA note about the item.
auto-attendant.option-6.call-to-recordstring
auto-attendant.option-6.auto-attendantobject
auto-attendant.option-6.removeany
auto-attendant.option-7object
auto-attendant.option-7.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-7.destination-userstring
auto-attendant.option-7.caller-name-translationstring Default [*]
auto-attendant.option-7.descriptionstringA note about the item.
auto-attendant.option-7.call-to-recordstring
auto-attendant.option-7.auto-attendantobject
auto-attendant.option-7.removeany
auto-attendant.option-8object
auto-attendant.option-8.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-8.destination-userstring
auto-attendant.option-8.caller-name-translationstring Default [*]
auto-attendant.option-8.descriptionstringA note about the item.
auto-attendant.option-8.call-to-recordstring
auto-attendant.option-8.auto-attendantobject
auto-attendant.option-8.removeany
auto-attendant.option-9object
auto-attendant.option-9.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-9.destination-userstring
auto-attendant.option-9.caller-name-translationstring Default [*]
auto-attendant.option-9.descriptionstringA note about the item.
auto-attendant.option-9.call-to-recordstring
auto-attendant.option-9.auto-attendantobject
auto-attendant.option-9.removeany
auto-attendant.option-0object
auto-attendant.option-0.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-0.destination-userstring
auto-attendant.option-0.caller-name-translationstring Default [*]
auto-attendant.option-0.descriptionstringA note about the item.
auto-attendant.option-0.call-to-recordstring
auto-attendant.option-0.auto-attendantobject
auto-attendant.option-0.removeany
auto-attendant.option-*object
auto-attendant.option-*.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-*.destination-userstring
auto-attendant.option-*.caller-name-translationstring Default [*]
auto-attendant.option-*.descriptionstringA note about the item.
auto-attendant.option-*.call-to-recordstring
auto-attendant.option-*.auto-attendantobject
auto-attendant.option-*.removeany

Example request

curl -X POST "https://api.noodlevoice.com/ns-api/v2/domains/~/autoattendants" \
  -H "Authorization: Bearer $NOODLEVOICE_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "attendant-name": "Front Desk",
    "user": "1001"
  }'
const res = await fetch("https://api.noodlevoice.com/ns-api/v2/domains/~/autoattendants", {
  method: "POST",
  headers: {
    Authorization: "Bearer " + process.env.NOODLEVOICE_KEY,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "attendant-name": "Front Desk",
    "user": "1001"
  }),
});
const data = await res.json();
import os, requests

r = requests.post(
    "https://api.noodlevoice.com/ns-api/v2/domains/~/autoattendants",
    headers={"Authorization": "Bearer " + os.environ["NOODLEVOICE_KEY"]},
    json={
        "attendant-name": "Front Desk",
        "user": "1001"
    },
)
print(r.status_code, r.json())

Response 200

{
  "attendant-name": "Front Desk",
  "user": "1001",
  "time-frame": "string",
  "auto-attendant": {
    "intro-greetings": "string",
    "audio": {},
    "unassigned-key-press": "repeat"
  }
}
Response fields (107)
FieldTypeNotes
attendant-namestringName of the attendant.
userstringThe user ID (extension).
time-framestring
auto-attendantobject
auto-attendant.intro-greetingsstring
auto-attendant.audioobject
auto-attendant.audio.filenamestring
auto-attendant.audio.ordinal-orderinteger
auto-attendant.audio.file-duration-secondsintegerFile duration, in seconds.
auto-attendant.audio.file-size-kilobytesstring
auto-attendant.audio.file-access-urlstring
auto-attendant.audio.file-script-textstring
auto-attendant.audio.text-to-speech-voice-idstringID of the text to speech voice. Default en-US-Wavenet-C
auto-attendant.audio.text-to-speech-languagestring Default en_US
auto-attendant.unassigned-key-pressstring One of: repeat, hangup, option-1, option-2, option-3, option-4, option-5, option-6, option-7, option-8, option-9, option-0, option-*, option-# Default repeat
auto-attendant.no-key-pressstring One of: repeat, hangup, option-1, option-2, option-3, option-4, option-5, option-6, option-7, option-8, option-9, option-0, option-*, option-# Default repeat
auto-attendant.3-digit-dial-by-extensionstring One of: yes, no Default yes
auto-attendant.4-digit-dial-by-extensionstring One of: yes, no Default yes
auto-attendant.5-digit-dial-by-extensionstring One of: yes, no Default yes
auto-attendant.option-1object
auto-attendant.option-1.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-1.destination-userstring
auto-attendant.option-1.caller-name-translationstring Default [*]
auto-attendant.option-1.descriptionstringA note about the item.
auto-attendant.option-1.call-to-recordstring
auto-attendant.option-1.auto-attendantobject
auto-attendant.option-1.removeany
auto-attendant.option-2object
auto-attendant.option-2.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-2.destination-userstring
auto-attendant.option-2.caller-name-translationstring Default [*]
auto-attendant.option-2.descriptionstringA note about the item.
auto-attendant.option-2.call-to-recordstring
auto-attendant.option-2.auto-attendantobject
auto-attendant.option-2.removeany
auto-attendant.option-3object
auto-attendant.option-3.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-3.destination-userstring
auto-attendant.option-3.caller-name-translationstring Default [*]
auto-attendant.option-3.descriptionstringA note about the item.
auto-attendant.option-3.call-to-recordstring
auto-attendant.option-3.auto-attendantobject
auto-attendant.option-3.removeany
auto-attendant.option-4object
auto-attendant.option-4.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-4.destination-userstring
auto-attendant.option-4.caller-name-translationstring Default [*]
auto-attendant.option-4.descriptionstringA note about the item.
auto-attendant.option-4.call-to-recordstring
auto-attendant.option-4.auto-attendantobject
auto-attendant.option-4.removeany
auto-attendant.option-5object
auto-attendant.option-5.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-5.destination-userstring
auto-attendant.option-5.caller-name-translationstring Default [*]
auto-attendant.option-5.descriptionstringA note about the item.
auto-attendant.option-5.call-to-recordstring
auto-attendant.option-5.auto-attendantobject
auto-attendant.option-5.removeany
auto-attendant.option-6object
auto-attendant.option-6.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-6.destination-userstring
auto-attendant.option-6.caller-name-translationstring Default [*]
auto-attendant.option-6.descriptionstringA note about the item.
auto-attendant.option-6.call-to-recordstring
auto-attendant.option-6.auto-attendantobject
auto-attendant.option-6.removeany
auto-attendant.option-7object
auto-attendant.option-7.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-7.destination-userstring
auto-attendant.option-7.caller-name-translationstring Default [*]
auto-attendant.option-7.descriptionstringA note about the item.
auto-attendant.option-7.call-to-recordstring
auto-attendant.option-7.auto-attendantobject
auto-attendant.option-7.removeany
auto-attendant.option-8object
auto-attendant.option-8.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-8.destination-userstring
auto-attendant.option-8.caller-name-translationstring Default [*]
auto-attendant.option-8.descriptionstringA note about the item.
auto-attendant.option-8.call-to-recordstring
auto-attendant.option-8.auto-attendantobject
auto-attendant.option-8.removeany
auto-attendant.option-9object
auto-attendant.option-9.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-9.destination-userstring
auto-attendant.option-9.caller-name-translationstring Default [*]
auto-attendant.option-9.descriptionstringA note about the item.
auto-attendant.option-9.call-to-recordstring
auto-attendant.option-9.auto-attendantobject
auto-attendant.option-9.removeany
auto-attendant.option-0object
auto-attendant.option-0.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-0.destination-userstring
auto-attendant.option-0.caller-name-translationstring Default [*]
auto-attendant.option-0.descriptionstringA note about the item.
auto-attendant.option-0.call-to-recordstring
auto-attendant.option-0.auto-attendantobject
auto-attendant.option-0.removeany
auto-attendant.option-*object
auto-attendant.option-*.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-*.destination-userstring
auto-attendant.option-*.caller-name-translationstring Default [*]
auto-attendant.option-*.descriptionstringA note about the item.
auto-attendant.option-*.call-to-recordstring
auto-attendant.option-*.auto-attendantobject
auto-attendant.option-*.removeany

Get an auto attendant menu

GET/domains/~/users/{user}/autoattendants/{prompt}

Returns one auto attendant menu: its greeting and what each key press does.

Read Key Admin switch: Auto attendants, Read. Read only keys also work.

Parameters

NameInTypeNotes
user requiredpathstringThe user ID, usually their extension number, like 1001. Default ~ Min length 0 Max length 16
prompt requiredpathstringThe auto attendant menu ID.

Example request

curl -X GET "https://api.noodlevoice.com/ns-api/v2/domains/~/users/1001/autoattendants/{menu_id}" \
  -H "Authorization: Bearer $NOODLEVOICE_KEY"
const res = await fetch("https://api.noodlevoice.com/ns-api/v2/domains/~/users/1001/autoattendants/{menu_id}", {
  method: "GET",
  headers: {
    Authorization: "Bearer " + process.env.NOODLEVOICE_KEY,
  },
});
const data = await res.json();
import os, requests

r = requests.get(
    "https://api.noodlevoice.com/ns-api/v2/domains/~/users/1001/autoattendants/{menu_id}",
    headers={"Authorization": "Bearer " + os.environ["NOODLEVOICE_KEY"]},
)
print(r.status_code, r.json())

Response 200

{
  "attendant-name": "Front Desk",
  "user": "1001",
  "time-frame": "string",
  "starting-prompt": "string",
  "auto-attendant": {
    "intro-greetings": "string",
    "audio": {},
    "unassigned-key-press": "repeat"
  }
}
Response fields (108)
FieldTypeNotes
attendant-namestringName of the attendant.
userstringThe user ID (extension).
time-framestring
starting-promptstring
auto-attendantobject
auto-attendant.intro-greetingsstring
auto-attendant.audioobject
auto-attendant.audio.filenamestring
auto-attendant.audio.ordinal-orderinteger
auto-attendant.audio.file-duration-secondsintegerFile duration, in seconds.
auto-attendant.audio.file-size-kilobytesstring
auto-attendant.audio.file-access-urlstring
auto-attendant.audio.file-script-textstring
auto-attendant.audio.text-to-speech-voice-idstringID of the text to speech voice. Default en-US-Wavenet-C
auto-attendant.audio.text-to-speech-languagestring Default en_US
auto-attendant.unassigned-key-pressstring One of: repeat, hangup, option-1, option-2, option-3, option-4, option-5, option-6, option-7, option-8, option-9, option-0, option-*, option-# Default repeat
auto-attendant.no-key-pressstring One of: repeat, hangup, option-1, option-2, option-3, option-4, option-5, option-6, option-7, option-8, option-9, option-0, option-*, option-# Default repeat
auto-attendant.3-digit-dial-by-extensionstring One of: yes, no Default yes
auto-attendant.4-digit-dial-by-extensionstring One of: yes, no Default yes
auto-attendant.5-digit-dial-by-extensionstring One of: yes, no Default yes
auto-attendant.option-1object
auto-attendant.option-1.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-1.destination-userstring
auto-attendant.option-1.caller-name-translationstring Default [*]
auto-attendant.option-1.descriptionstringA note about the item.
auto-attendant.option-1.call-to-recordstring
auto-attendant.option-1.auto-attendantobject
auto-attendant.option-1.removeany
auto-attendant.option-2object
auto-attendant.option-2.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-2.destination-userstring
auto-attendant.option-2.caller-name-translationstring Default [*]
auto-attendant.option-2.descriptionstringA note about the item.
auto-attendant.option-2.call-to-recordstring
auto-attendant.option-2.auto-attendantobject
auto-attendant.option-2.removeany
auto-attendant.option-3object
auto-attendant.option-3.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-3.destination-userstring
auto-attendant.option-3.caller-name-translationstring Default [*]
auto-attendant.option-3.descriptionstringA note about the item.
auto-attendant.option-3.call-to-recordstring
auto-attendant.option-3.auto-attendantobject
auto-attendant.option-3.removeany
auto-attendant.option-4object
auto-attendant.option-4.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-4.destination-userstring
auto-attendant.option-4.caller-name-translationstring Default [*]
auto-attendant.option-4.descriptionstringA note about the item.
auto-attendant.option-4.call-to-recordstring
auto-attendant.option-4.auto-attendantobject
auto-attendant.option-4.removeany
auto-attendant.option-5object
auto-attendant.option-5.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-5.destination-userstring
auto-attendant.option-5.caller-name-translationstring Default [*]
auto-attendant.option-5.descriptionstringA note about the item.
auto-attendant.option-5.call-to-recordstring
auto-attendant.option-5.auto-attendantobject
auto-attendant.option-5.removeany
auto-attendant.option-6object
auto-attendant.option-6.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-6.destination-userstring
auto-attendant.option-6.caller-name-translationstring Default [*]
auto-attendant.option-6.descriptionstringA note about the item.
auto-attendant.option-6.call-to-recordstring
auto-attendant.option-6.auto-attendantobject
auto-attendant.option-6.removeany
auto-attendant.option-7object
auto-attendant.option-7.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-7.destination-userstring
auto-attendant.option-7.caller-name-translationstring Default [*]
auto-attendant.option-7.descriptionstringA note about the item.
auto-attendant.option-7.call-to-recordstring
auto-attendant.option-7.auto-attendantobject
auto-attendant.option-7.removeany
auto-attendant.option-8object
auto-attendant.option-8.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-8.destination-userstring
auto-attendant.option-8.caller-name-translationstring Default [*]
auto-attendant.option-8.descriptionstringA note about the item.
auto-attendant.option-8.call-to-recordstring
auto-attendant.option-8.auto-attendantobject
auto-attendant.option-8.removeany
auto-attendant.option-9object
auto-attendant.option-9.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-9.destination-userstring
auto-attendant.option-9.caller-name-translationstring Default [*]
auto-attendant.option-9.descriptionstringA note about the item.
auto-attendant.option-9.call-to-recordstring
auto-attendant.option-9.auto-attendantobject
auto-attendant.option-9.removeany
auto-attendant.option-0object
auto-attendant.option-0.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-0.destination-userstring
auto-attendant.option-0.caller-name-translationstring Default [*]
auto-attendant.option-0.descriptionstringA note about the item.
auto-attendant.option-0.call-to-recordstring
auto-attendant.option-0.auto-attendantobject
auto-attendant.option-0.removeany
auto-attendant.option-*object
auto-attendant.option-*.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-*.destination-userstring
auto-attendant.option-*.caller-name-translationstring Default [*]
auto-attendant.option-*.descriptionstringA note about the item.
auto-attendant.option-*.call-to-recordstring
auto-attendant.option-*.auto-attendantobject
auto-attendant.option-*.removeany

Update an auto attendant menu

PUT/domains/~/users/{user}/autoattendants/{prompt}

Changes an auto attendant menu's greeting or key press options.

Write Key Admin switch: Auto attendants, Write.

Parameters

NameInTypeNotes
user requiredpathstringThe user ID, usually their extension number, like 1001. Default ~ Min length 0 Max length 16
prompt requiredpathstringThe auto attendant menu ID.

Request body application/json

FieldTypeNotes
attendant-name requiredstringName of the attendant.
auto-attendantobject
auto-attendant.intro-greetingsstring
auto-attendant.audioobject
auto-attendant.audio.filenamestring
auto-attendant.audio.ordinal-orderinteger
auto-attendant.audio.file-duration-secondsintegerFile duration, in seconds.
auto-attendant.audio.file-size-kilobytesstring
auto-attendant.audio.file-access-urlstring
auto-attendant.audio.file-script-textstring
auto-attendant.audio.text-to-speech-voice-idstringID of the text to speech voice. Default en-US-Wavenet-C
auto-attendant.audio.text-to-speech-languagestring Default en_US
auto-attendant.unassigned-key-pressstring One of: repeat, hangup, option-1, option-2, option-3, option-4, option-5, option-6, option-7, option-8, option-9, option-0, option-*, option-# Default repeat
auto-attendant.no-key-pressstring One of: repeat, hangup, option-1, option-2, option-3, option-4, option-5, option-6, option-7, option-8, option-9, option-0, option-*, option-# Default repeat
auto-attendant.3-digit-dial-by-extensionstring One of: yes, no Default yes
auto-attendant.4-digit-dial-by-extensionstring One of: yes, no Default yes
auto-attendant.5-digit-dial-by-extensionstring One of: yes, no Default yes
auto-attendant.option-1object
auto-attendant.option-1.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-1.destination-userstring
auto-attendant.option-1.caller-name-translationstring Default [*]
auto-attendant.option-1.descriptionstringA note about the item.
auto-attendant.option-1.call-to-recordstring
auto-attendant.option-1.auto-attendantobject
auto-attendant.option-1.removeany
auto-attendant.option-2object
auto-attendant.option-2.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-2.destination-userstring
auto-attendant.option-2.caller-name-translationstring Default [*]
auto-attendant.option-2.descriptionstringA note about the item.
auto-attendant.option-2.call-to-recordstring
auto-attendant.option-2.auto-attendantobject
auto-attendant.option-2.removeany
auto-attendant.option-3object
auto-attendant.option-3.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-3.destination-userstring
auto-attendant.option-3.caller-name-translationstring Default [*]
auto-attendant.option-3.descriptionstringA note about the item.
auto-attendant.option-3.call-to-recordstring
auto-attendant.option-3.auto-attendantobject
auto-attendant.option-3.removeany
auto-attendant.option-4object
auto-attendant.option-4.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-4.destination-userstring
auto-attendant.option-4.caller-name-translationstring Default [*]
auto-attendant.option-4.descriptionstringA note about the item.
auto-attendant.option-4.call-to-recordstring
auto-attendant.option-4.auto-attendantobject
auto-attendant.option-4.removeany
auto-attendant.option-5object
auto-attendant.option-5.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-5.destination-userstring
auto-attendant.option-5.caller-name-translationstring Default [*]
auto-attendant.option-5.descriptionstringA note about the item.
auto-attendant.option-5.call-to-recordstring
auto-attendant.option-5.auto-attendantobject
auto-attendant.option-5.removeany
auto-attendant.option-6object
auto-attendant.option-6.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-6.destination-userstring
auto-attendant.option-6.caller-name-translationstring Default [*]
auto-attendant.option-6.descriptionstringA note about the item.
auto-attendant.option-6.call-to-recordstring
auto-attendant.option-6.auto-attendantobject
auto-attendant.option-6.removeany
auto-attendant.option-7object
auto-attendant.option-7.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-7.destination-userstring
auto-attendant.option-7.caller-name-translationstring Default [*]
auto-attendant.option-7.descriptionstringA note about the item.
auto-attendant.option-7.call-to-recordstring
auto-attendant.option-7.auto-attendantobject
auto-attendant.option-7.removeany
auto-attendant.option-8object
auto-attendant.option-8.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-8.destination-userstring
auto-attendant.option-8.caller-name-translationstring Default [*]
auto-attendant.option-8.descriptionstringA note about the item.
auto-attendant.option-8.call-to-recordstring
auto-attendant.option-8.auto-attendantobject
auto-attendant.option-8.removeany
auto-attendant.option-9object
auto-attendant.option-9.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-9.destination-userstring
auto-attendant.option-9.caller-name-translationstring Default [*]
auto-attendant.option-9.descriptionstringA note about the item.
auto-attendant.option-9.call-to-recordstring
auto-attendant.option-9.auto-attendantobject
auto-attendant.option-9.removeany
auto-attendant.option-0object
auto-attendant.option-0.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-0.destination-userstring
auto-attendant.option-0.caller-name-translationstring Default [*]
auto-attendant.option-0.descriptionstringA note about the item.
auto-attendant.option-0.call-to-recordstring
auto-attendant.option-0.auto-attendantobject
auto-attendant.option-0.removeany
auto-attendant.option-*object
auto-attendant.option-*.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-*.destination-userstring
auto-attendant.option-*.caller-name-translationstring Default [*]
auto-attendant.option-*.descriptionstringA note about the item.
auto-attendant.option-*.call-to-recordstring
auto-attendant.option-*.auto-attendantobject
auto-attendant.option-*.removeany

Example request

curl -X PUT "https://api.noodlevoice.com/ns-api/v2/domains/~/users/1001/autoattendants/{menu_id}" \
  -H "Authorization: Bearer $NOODLEVOICE_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "attendant-name": "Front Desk"
  }'
const res = await fetch("https://api.noodlevoice.com/ns-api/v2/domains/~/users/1001/autoattendants/{menu_id}", {
  method: "PUT",
  headers: {
    Authorization: "Bearer " + process.env.NOODLEVOICE_KEY,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "attendant-name": "Front Desk"
  }),
});
const data = await res.json();
import os, requests

r = requests.put(
    "https://api.noodlevoice.com/ns-api/v2/domains/~/users/1001/autoattendants/{menu_id}",
    headers={"Authorization": "Bearer " + os.environ["NOODLEVOICE_KEY"]},
    json={
        "attendant-name": "Front Desk"
    },
)
print(r.status_code, r.json())

Response 200

{
  "attendant-name": "Front Desk",
  "user": "1001",
  "time-frame": "string",
  "starting-prompt": "string",
  "auto-attendant": {
    "intro-greetings": "string",
    "audio": {},
    "unassigned-key-press": "repeat"
  }
}
Response fields (108)
FieldTypeNotes
attendant-namestringName of the attendant.
userstringThe user ID (extension).
time-framestring
starting-promptstring
auto-attendantobject
auto-attendant.intro-greetingsstring
auto-attendant.audioobject
auto-attendant.audio.filenamestring
auto-attendant.audio.ordinal-orderinteger
auto-attendant.audio.file-duration-secondsintegerFile duration, in seconds.
auto-attendant.audio.file-size-kilobytesstring
auto-attendant.audio.file-access-urlstring
auto-attendant.audio.file-script-textstring
auto-attendant.audio.text-to-speech-voice-idstringID of the text to speech voice. Default en-US-Wavenet-C
auto-attendant.audio.text-to-speech-languagestring Default en_US
auto-attendant.unassigned-key-pressstring One of: repeat, hangup, option-1, option-2, option-3, option-4, option-5, option-6, option-7, option-8, option-9, option-0, option-*, option-# Default repeat
auto-attendant.no-key-pressstring One of: repeat, hangup, option-1, option-2, option-3, option-4, option-5, option-6, option-7, option-8, option-9, option-0, option-*, option-# Default repeat
auto-attendant.3-digit-dial-by-extensionstring One of: yes, no Default yes
auto-attendant.4-digit-dial-by-extensionstring One of: yes, no Default yes
auto-attendant.5-digit-dial-by-extensionstring One of: yes, no Default yes
auto-attendant.option-1object
auto-attendant.option-1.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-1.destination-userstring
auto-attendant.option-1.caller-name-translationstring Default [*]
auto-attendant.option-1.descriptionstringA note about the item.
auto-attendant.option-1.call-to-recordstring
auto-attendant.option-1.auto-attendantobject
auto-attendant.option-1.removeany
auto-attendant.option-2object
auto-attendant.option-2.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-2.destination-userstring
auto-attendant.option-2.caller-name-translationstring Default [*]
auto-attendant.option-2.descriptionstringA note about the item.
auto-attendant.option-2.call-to-recordstring
auto-attendant.option-2.auto-attendantobject
auto-attendant.option-2.removeany
auto-attendant.option-3object
auto-attendant.option-3.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-3.destination-userstring
auto-attendant.option-3.caller-name-translationstring Default [*]
auto-attendant.option-3.descriptionstringA note about the item.
auto-attendant.option-3.call-to-recordstring
auto-attendant.option-3.auto-attendantobject
auto-attendant.option-3.removeany
auto-attendant.option-4object
auto-attendant.option-4.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-4.destination-userstring
auto-attendant.option-4.caller-name-translationstring Default [*]
auto-attendant.option-4.descriptionstringA note about the item.
auto-attendant.option-4.call-to-recordstring
auto-attendant.option-4.auto-attendantobject
auto-attendant.option-4.removeany
auto-attendant.option-5object
auto-attendant.option-5.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-5.destination-userstring
auto-attendant.option-5.caller-name-translationstring Default [*]
auto-attendant.option-5.descriptionstringA note about the item.
auto-attendant.option-5.call-to-recordstring
auto-attendant.option-5.auto-attendantobject
auto-attendant.option-5.removeany
auto-attendant.option-6object
auto-attendant.option-6.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-6.destination-userstring
auto-attendant.option-6.caller-name-translationstring Default [*]
auto-attendant.option-6.descriptionstringA note about the item.
auto-attendant.option-6.call-to-recordstring
auto-attendant.option-6.auto-attendantobject
auto-attendant.option-6.removeany
auto-attendant.option-7object
auto-attendant.option-7.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-7.destination-userstring
auto-attendant.option-7.caller-name-translationstring Default [*]
auto-attendant.option-7.descriptionstringA note about the item.
auto-attendant.option-7.call-to-recordstring
auto-attendant.option-7.auto-attendantobject
auto-attendant.option-7.removeany
auto-attendant.option-8object
auto-attendant.option-8.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-8.destination-userstring
auto-attendant.option-8.caller-name-translationstring Default [*]
auto-attendant.option-8.descriptionstringA note about the item.
auto-attendant.option-8.call-to-recordstring
auto-attendant.option-8.auto-attendantobject
auto-attendant.option-8.removeany
auto-attendant.option-9object
auto-attendant.option-9.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-9.destination-userstring
auto-attendant.option-9.caller-name-translationstring Default [*]
auto-attendant.option-9.descriptionstringA note about the item.
auto-attendant.option-9.call-to-recordstring
auto-attendant.option-9.auto-attendantobject
auto-attendant.option-9.removeany
auto-attendant.option-0object
auto-attendant.option-0.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-0.destination-userstring
auto-attendant.option-0.caller-name-translationstring Default [*]
auto-attendant.option-0.descriptionstringA note about the item.
auto-attendant.option-0.call-to-recordstring
auto-attendant.option-0.auto-attendantobject
auto-attendant.option-0.removeany
auto-attendant.option-*object
auto-attendant.option-*.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-*.destination-userstring
auto-attendant.option-*.caller-name-translationstring Default [*]
auto-attendant.option-*.descriptionstringA note about the item.
auto-attendant.option-*.call-to-recordstring
auto-attendant.option-*.auto-attendantobject
auto-attendant.option-*.removeany

Delete an auto attendant menu

DELETE/domains/~/users/{user}/autoattendants/{prompt}

Removes an auto attendant menu.

Write Key Admin switch: Auto attendants, Write.

Parameters

NameInTypeNotes
user requiredpathstringThe user ID, usually their extension number, like 1001. Default ~ Min length 0 Max length 16
prompt requiredpathstringThe auto attendant menu ID.

Example request

curl -X DELETE "https://api.noodlevoice.com/ns-api/v2/domains/~/users/1001/autoattendants/{menu_id}" \
  -H "Authorization: Bearer $NOODLEVOICE_KEY"
const res = await fetch("https://api.noodlevoice.com/ns-api/v2/domains/~/users/1001/autoattendants/{menu_id}", {
  method: "DELETE",
  headers: {
    Authorization: "Bearer " + process.env.NOODLEVOICE_KEY,
  },
});
const data = await res.json();
import os, requests

r = requests.delete(
    "https://api.noodlevoice.com/ns-api/v2/domains/~/users/1001/autoattendants/{menu_id}",
    headers={"Authorization": "Bearer " + os.environ["NOODLEVOICE_KEY"]},
)
print(r.status_code, r.json())

Response 200

{
  "attendant-name": "Front Desk",
  "user": "1001",
  "time-frame": "string",
  "starting-prompt": "string",
  "auto-attendant": {
    "intro-greetings": "string",
    "audio": {},
    "unassigned-key-press": "repeat"
  }
}
Response fields (108)
FieldTypeNotes
attendant-namestringName of the attendant.
userstringThe user ID (extension).
time-framestring
starting-promptstring
auto-attendantobject
auto-attendant.intro-greetingsstring
auto-attendant.audioobject
auto-attendant.audio.filenamestring
auto-attendant.audio.ordinal-orderinteger
auto-attendant.audio.file-duration-secondsintegerFile duration, in seconds.
auto-attendant.audio.file-size-kilobytesstring
auto-attendant.audio.file-access-urlstring
auto-attendant.audio.file-script-textstring
auto-attendant.audio.text-to-speech-voice-idstringID of the text to speech voice. Default en-US-Wavenet-C
auto-attendant.audio.text-to-speech-languagestring Default en_US
auto-attendant.unassigned-key-pressstring One of: repeat, hangup, option-1, option-2, option-3, option-4, option-5, option-6, option-7, option-8, option-9, option-0, option-*, option-# Default repeat
auto-attendant.no-key-pressstring One of: repeat, hangup, option-1, option-2, option-3, option-4, option-5, option-6, option-7, option-8, option-9, option-0, option-*, option-# Default repeat
auto-attendant.3-digit-dial-by-extensionstring One of: yes, no Default yes
auto-attendant.4-digit-dial-by-extensionstring One of: yes, no Default yes
auto-attendant.5-digit-dial-by-extensionstring One of: yes, no Default yes
auto-attendant.option-1object
auto-attendant.option-1.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-1.destination-userstring
auto-attendant.option-1.caller-name-translationstring Default [*]
auto-attendant.option-1.descriptionstringA note about the item.
auto-attendant.option-1.call-to-recordstring
auto-attendant.option-1.auto-attendantobject
auto-attendant.option-1.removeany
auto-attendant.option-2object
auto-attendant.option-2.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-2.destination-userstring
auto-attendant.option-2.caller-name-translationstring Default [*]
auto-attendant.option-2.descriptionstringA note about the item.
auto-attendant.option-2.call-to-recordstring
auto-attendant.option-2.auto-attendantobject
auto-attendant.option-2.removeany
auto-attendant.option-3object
auto-attendant.option-3.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-3.destination-userstring
auto-attendant.option-3.caller-name-translationstring Default [*]
auto-attendant.option-3.descriptionstringA note about the item.
auto-attendant.option-3.call-to-recordstring
auto-attendant.option-3.auto-attendantobject
auto-attendant.option-3.removeany
auto-attendant.option-4object
auto-attendant.option-4.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-4.destination-userstring
auto-attendant.option-4.caller-name-translationstring Default [*]
auto-attendant.option-4.descriptionstringA note about the item.
auto-attendant.option-4.call-to-recordstring
auto-attendant.option-4.auto-attendantobject
auto-attendant.option-4.removeany
auto-attendant.option-5object
auto-attendant.option-5.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-5.destination-userstring
auto-attendant.option-5.caller-name-translationstring Default [*]
auto-attendant.option-5.descriptionstringA note about the item.
auto-attendant.option-5.call-to-recordstring
auto-attendant.option-5.auto-attendantobject
auto-attendant.option-5.removeany
auto-attendant.option-6object
auto-attendant.option-6.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-6.destination-userstring
auto-attendant.option-6.caller-name-translationstring Default [*]
auto-attendant.option-6.descriptionstringA note about the item.
auto-attendant.option-6.call-to-recordstring
auto-attendant.option-6.auto-attendantobject
auto-attendant.option-6.removeany
auto-attendant.option-7object
auto-attendant.option-7.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-7.destination-userstring
auto-attendant.option-7.caller-name-translationstring Default [*]
auto-attendant.option-7.descriptionstringA note about the item.
auto-attendant.option-7.call-to-recordstring
auto-attendant.option-7.auto-attendantobject
auto-attendant.option-7.removeany
auto-attendant.option-8object
auto-attendant.option-8.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-8.destination-userstring
auto-attendant.option-8.caller-name-translationstring Default [*]
auto-attendant.option-8.descriptionstringA note about the item.
auto-attendant.option-8.call-to-recordstring
auto-attendant.option-8.auto-attendantobject
auto-attendant.option-8.removeany
auto-attendant.option-9object
auto-attendant.option-9.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-9.destination-userstring
auto-attendant.option-9.caller-name-translationstring Default [*]
auto-attendant.option-9.descriptionstringA note about the item.
auto-attendant.option-9.call-to-recordstring
auto-attendant.option-9.auto-attendantobject
auto-attendant.option-9.removeany
auto-attendant.option-0object
auto-attendant.option-0.destination-applicationstring One of: available-number, to-voicemail-residential, to-callqueue, to-callqueue-announce-count-callers-ahead, to-callqueue-announce-expected-wait-time, to-connection, to-connection-or-user-no-failover, to-single-device, to-user, to-user-residential, to-voicemail, spam-screening, to-connection-block-caller-id, to-connection-no-timeout, to-connection-add-header-force-caller-id, to-connection-add-header-no-timeout, to-connection-add-header, to-single-device-add-header-allow-voicemail, to-single-device-add-header-allow-voicemail-residential, to-single-device-add-header, to-user-add-header, to-user-residential-add-header, to-user-notify-of-recording, hangup, to-user-answer-and-fake-ringback, toggle-timeframe
auto-attendant.option-0.destination-userstring
auto-attendant.option-0.caller-name-translationstring Default [*]
auto-attendant.option-0.descriptionstringA note about the item.
auto-attendant.option-0.call-to-recordstring
auto-attendant.option-0.auto-attendantobject
auto-attendant.option-0.removeany
auto-attendant.option-*object
[...]
